id: "3-0-0-CFN"
treename: "three taxa"
modelname: "Cavender Felsenstein Neyman"
rooted: "False"
leaves: "3"
internal_edges: "0"
dim: "4"
deg: "1"
np: "4"
nq: "4"
mu: "0"
e: "0"
M: "0"
E: "0"
sD: "-"
sd: "-"
MLdeg: "1"
EDdeg: "1"
details:
  transition_matrix: |-
    $$M_j = \begin{pmatrix}
    a_i &  b_i\\
    b_i &  a_i
    \end{pmatrix}$$
  root_distributon: |-
    $\pi = \left(\frac{1}{2}, \frac{1}{2} \right)$
  fourier_parameters: |-
    $\left(x^{(i)}_1, x^{(i)}_2\right)$
  probability_parametrization: |-
    $\begin{align}
    p_{\texttt{010}} &= \frac{1}{2}(a_1a_3b_2 + a_2b_1b_3) \\[0.5em]
    p_{\texttt{000}} &= \frac{1}{2}(a_1a_2a_3 + b_1b_2b_3) \\[0.5em]
    p_{\texttt{011}} &= \frac{1}{2}(a_1b_2b_3 + a_2a_3b_1) \\[0.5em]
    p_{\texttt{001}} &= \frac{1}{2}(a_1a_2b_3 + a_3b_1b_2)
    \end{align}$
  equivalent_classes_prob: |-
    $\begin{align}
    \text{Class } &p_{\texttt{000}}:\ p_{\texttt{000}},\ p_{\texttt{111}} \\[0.5em]
    \text{Class } &p_{\texttt{001}}:\ p_{\texttt{001}},\ p_{\texttt{110}} \\[0.5em]
    \text{Class } &p_{\texttt{010}}:\ p_{\texttt{010}},\ p_{\texttt{101}} \\[0.5em]
    \text{Class } &p_{\texttt{011}}:\ p_{\texttt{011}},\ p_{\texttt{100}}
    \end{align}$
  fourier_parametrization: |-
    $\begin{align}
    q_{\texttt{000}} &= x^{(1)}_{1}x^{(2)}_{1}x^{(3)}_{1} \\[0.5em]
    q_{\texttt{110}} &= x^{(1)}_{2}x^{(2)}_{2}x^{(3)}_{1} \\[0.5em]
    q_{\texttt{011}} &= x^{(1)}_{1}x^{(2)}_{2}x^{(3)}_{2} \\[0.5em]
    q_{\texttt{101}} &= x^{(1)}_{2}x^{(2)}_{1}x^{(3)}_{2}
    \end{align}$
  equivalent_classes_fourier: |-
    $\begin{align}
    \text{Class } &0:\ q_{\texttt{100}}, q_{\texttt{010}}, q_{\texttt{001}}, q_{\texttt{111}} \\[0.5em]
    \text{Class } &q_{\texttt{000}}:\ q_{\texttt{000}} \\[0.5em]
    \text{Class } &q_{\texttt{011}}:\ q_{\texttt{011}} \\[0.5em]
    \text{Class } &q_{\texttt{101}}:\ q_{\texttt{101}} \\[0.5em]
    \text{Class } &q_{\texttt{110}}:\ q_{\texttt{110}}
    \end{align}$
  invariants: |-
    Ideal generated by $\langle 0 \rangle$
  grobner_basis: |-
    Gröbner basis with $0$ elements
  specialized_fourier_transform: |-
    $\frac{1}{1} \begin{pmatrix}
    1 & 1 & 1 & 1\\ 
    1 & -1 & -1 & 1\\ 
    1 & -1 & 1 & -1\\ 
    1 & 1 & -1 & -1
    \end{pmatrix} ] $
  inverse_specialized_fourier_transform: |-
    $\frac{1}{4} \begin{pmatrix}
    1 & 1 & 1 & 1\\ 
    1 & -1 & -1 & 1\\ 
    1 & -1 & 1 & -1\\ 
    1 & 1 & -1 & -1
    \end{pmatrix} $
